create_clock -name sys_clk -period 10 [get_ports PCIE_REFCLK_P]

set_false_path -from [get_ports PCIE_PERST_B_LS]

set_property LOC [get_package_pins -of_objects [get_bels [get_sites -filter {NAME =~ *COMMON*} -of_objects [get_iobanks -of_objects [get_sites GTHE4_CHANNEL_X0Y7]]]/REFCLK0P]] [get_ports PCIE_REFCLK_P]
set_property LOC [get_package_pins -of_objects [get_bels [get_sites -filter {NAME =~ *COMMON*} -of_objects [get_iobanks -of_objects [get_sites GTHE4_CHANNEL_X0Y7]]]/REFCLK0N]] [get_ports PCIE_REFCLK_N]

set_property -dict "PACKAGE_PIN L8 IOSTANDARD LVCMOS33 PULLUP true" [get_ports PCIE_PERST_B_LS]

set_property PACKAGE_PIN AL11 [get_ports "GPIO_LED[0]"]
set_property PACKAGE_PIN AL13 [get_ports "GPIO_LED[1]"]
set_property PACKAGE_PIN AK13 [get_ports "GPIO_LED[2]"]
set_property PACKAGE_PIN AE15 [get_ports "GPIO_LED[3]"]
set_false_path -to [get_ports -filter {NAME=~GPIO_LED*}]
set_property -dict "IOSTANDARD LVCMOS12 DRIVE 8" [get_ports -filter {NAME=~GPIO_LED*}]

# Setting false paths by clock grouping
set_clock_groups -name async18 -asynchronous -group [get_clocks {sys_clk}] -group [get_clocks -of_objects [get_pins -hierarchical -filter {NAME =~ *gen_channel_container[*].*gen_gthe4_channel_inst[*].GTHE4_CHANNEL_PRIM_INST/TXOUTCLK}]]
set_clock_groups -name async19 -asynchronous -group [get_clocks -of_objects [get_pins -hierarchical -filter {NAME =~ *gen_channel_container[*].*gen_gthe4_channel_inst[*].GTHE4_CHANNEL_PRIM_INST/TXOUTCLK}]] -group [get_clocks {sys_clk}]

set_clock_groups -name async24 -asynchronous -group [get_clocks -of_objects [get_pins -hierarchical -filter {NAME =~ */*gt_top_i/diablo_gt.diablo_gt_phy_wrapper/phy_clk_i/bufg_gt_intclk/O}]] -group [get_clocks {sys_clk}]
 